This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 510683 - Anaconda crash running a F10- -> F11 preupgrade with Polish keyboard pre-selected
Anaconda crash running a F10- -> F11 preupgrade with Polish keyboard pre-sel...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 484497
  Show dependency treegraph
 
Reported: 2009-07-10 05:16 EDT by Jacek Piskozub
Modified: 2014-01-21 18:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:43:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jacek Piskozub 2009-07-10 05:16:46 EDT
Description of problem:

Preupdate does not work with Polish keyboard selected unless it is changed to US before running preupgrade


Version-Release number of selected component (if applicable):

I tested it only for F10 -> F11 but you may try F11 -> rawhide


How reproducible:

Always. I crashed four different F10 -> F11 upgrades on four different boxes (all with Polish keyboard)


Steps to Reproduce:

1. Change KEYTABLE="us" (or whatever you have) to KEYTABLE="pl" in /etc/sysconfig/keyboard
2. Run preupgrade 
3. Reboot and crash soon after Anaconda asks you for keyboard (it will) whatever you choose
  
Actual results:

Crash with a stack very similar to that from this posting
https://fcp.surfsite.org/modules/newbb/viewtopic.php?viewmode=threaded&order=DESC&topic_id=64210&forum=12&move=prev&topic_time=1227530688
except that the final error is KeyError: 'pl' (not 'gb' as in the posting). 
I could not save the traceback as it happens before the partitions are mounted.


Expected results:

No question about the keyboard, no crash.


Additional info:

The workaround is to change to KEYTABLE="us" in /etc/sysconfig/keyboard *before* running preupgrade (doing it before preupgrade and reboot does not work)
Comment 1 Bug Zapper 2009-11-16 05:46:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Admin XMLRPC Client 2010-04-16 10:34:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2010-11-04 06:49:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-05 01:43:55 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.